import React from "react";
import PieSVG from "../../Helpers/PieSVG";
import '../../Cascading_Style_Sheets/index.css';

class  Repartitiondesventesparregion extends React.Component {
	constructor(props) {
	  super(props);
  
	  this.state = {annee: '2016',data: []};
	  
	};
  
	componentWillMount(){
		console.log('Je suis appeler en premier!');
	  }


	  getData(){
		fetch(`https://${document.domain}:8443/repartition_des_ventes_par_region?anneeFiltre=${this.state.annee}`)
		  .then(response => {
			if (response.ok) {
			  const data = response.json()
			  return data;
			} else {
			  throw new Error('Something went wrong ...');
			}
		  })
		  .then(data => {
			this.setState({data: data });
		  })
		  .catch(error => console.log("error"));
	  }
	
	  componentDidMount(){
		this.timerID = setInterval(
			() => this.getData(),
			1000
		  );
	  }

	handleChange(event) {
	  this.setState({ annee: event.target.value});
	};
  
  
	
	render() {

    function parseData(data) {
      var arr = [];
      data.map(function (thisList){
          arr.push({
            nombre_de_vente: thisList.nombre_de_vente,
            region : thisList.region 
          });
      })
      return arr;
  }

  const c  =parseData(this.state.data)

  const generateData = () =>
   c.map((item, index) => ({
    index: index,
    value: item.nombre_de_vente,
    region: item.region

  }));
   
  const data = generateData();
  console.log(data)

  return (
  <div>
 <div className="content" >
 <input type="text" onChange={this.handleChange.bind(this)}/><br/>

        <center class = "container">

        <PieSVG
          data={data}
          width={1000}
          height={1000}
          innerRadius={100}
          outerRadius={400}
        />
        </center>
      </div>
        
    </div>
  );
}
}

  
  export default  Repartitiondesventesparregion;